#ifndef __SYSTEM_H__
#define __SYSTEM_H__

#ifdef __cplusplus
extern "C" {
#endif
/////////////////////////////
extern	unsigned int MPLL;
extern	unsigned int ARMCLK, HCLK, PCLK;
extern	unsigned int ARMCLKdiv, HCLKdiv, PCLKdiv;

//---------------------
// 	in system.c
//---------------------
// system clock calc.
void SystemCLK(unsigned int prt_msg); // edit 060624
// traditional delay function
void Delay(int time);
// additional delay function
void SetResTDelay(unsigned int time_res);
void InitTDelayFunc(void); 
void TDelay(unsigned int d_count);
// stopwatch functon
void SetResStopwatch(unsigned int time_res);
void StartStopwatch(void);
unsigned int EndStopwatch(void);
// max1718 voltage control
void Max1718_Init();
void Max1718_Set(int pwr, int voltage); // pwr=1:ARM, pwr=0:INT

//---------------------
//	in system_asm.s
//---------------------
void IsrIRQ(void);

#ifdef __cplusplus
}
#endif

#endif /*__SYSTEM_H__*/

