;=========================================
; NAME: Exception_asm.S
; DESC: Assembler Library Regarding 
;       System clock & power management
; HISTORY:
; 2006.05.22 : ver 0.0
;=========================================

	GET		Option.inc

   AREA |C$$code|, CODE, READONLY

 
;============================
;	ISR Routine
;============================

	EXPORT	IsrIRQ

IsrIRQ
	sub		sp,sp,#4			; reserved for PC
	stmfd	sp!,{r8-r9}    
	ldr		r9,=0x4a000014		; rINTOFFSET
	ldr		r9,[r9]
	ldr		r8,= _ISR_STARTADDRESS + 0x20
	add		r8,r8,r9,lsl #2
	ldr		r8,[r8]
	str		r8,[sp,#8]
	ldmfd	sp!,{r8-r9,pc}

	LTORG

	END
