
#ifndef __DEF_H__
#define __DEF_H__

#ifdef __cplusplus
extern "C" {
#endif

#define 	TRUE 	1   
#define 	FALSE 	0
#define 	U32 unsigned int
#define 	U16 unsigned short
#define 	S32 int
#define 	S16 short int
#define 	U8  unsigned char
#define		S8  char

typedef	unsigned int	uint32;
typedef	unsigned short	uint16;
typedef	unsigned char	uint8;
typedef	signed int		int32;
typedef	signed short	int16;
typedef	signed char		int8;

typedef volatile unsigned int	vuint32;
typedef volatile unsigned short	vuint16;
typedef volatile unsigned char	vuint8;
typedef	volatile signed int		vint32;
typedef	volatile signed short	vint16;
typedef	volatile signed char	vint8;

#ifdef __cplusplus
}
#endif

#endif ///*__DEF_H__*/
